%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api	4.0
%define major	0
%define libname	%mklibname gtksourceviewmm %{api} %{major}
%define devname	%mklibname -d gtksourceviewmm %{api}

Summary:	Source code viewing library
Name:		gtksourceviewmm
Version:	3.91.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		Editors
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/gtksourceviewmm/%{url_ver}/gtksourceviewmm-%{version}.tar.xz
BuildRequires:	pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(gtkmm-3.0)
BuildRequires:	doxygen

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Source code viewing library
Group:	System/Libraries

%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgtksourceviewmm-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       libgtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:       libgtksourceviewmm4-devel = %{version}-%{release}
Provides:       gtksourceviewmm%{api}-devel = %{version}-%{release}
Provides:       gtksourceviewmm4-devel = %{version}-%{release}

%description -n %{devname}
GtkSourceView development files.

This package contains the C++ language bindings for GtkSourceview.

%files -n %{devname}
%doc %{_datadir}/doc/gtksourceviewmm-%{api}/
%{_datadir}/devhelp/books/gtksourceviewmm-%{api}/
%{_libdir}/libgtksourceviewmm-%{api}.so
%{_includedir}/gtksourceviewmm-%{api}/
%{_libdir}/pkgconfig/gtksourceviewmm-%{api}.pc
%{_libdir}/gtksourceviewmm-%{api}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 3.91.1-2.mga10
+ Revision: 2232941
- Mageia 10 Mass Rebuild

* Thu Dec 26 2024 wally <wally> 3.91.1-1.mga10
+ Revision: 2130344
- new version 3.91.1
- new api 4.0

* Thu Mar 31 2022 umeabot <umeabot> 3.21.3-5.mga9
+ Revision: 1837680
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 ovitters <ovitters> 3.21.3-4.mga8
+ Revision: 1570840
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 3.21.3-3.mga8
+ Revision: 1512903
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.21.3-2.mga7
+ Revision: 1298128
- Mageia 7 Mass Rebuild

* Mon Nov 14 2016 ovitters <ovitters> 3.21.3-1.mga6
+ Revision: 1067117
- new version 3.21.3

* Sun Sep 18 2016 ovitters <ovitters> 3.21.2-1.mga6
+ Revision: 1053978
- new version 3.21.2

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960591
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 fwang <fwang> 3.18.0-1.mga6
+ Revision: 883004
- bump req
+ tv <tv>
- new release

* Tue Aug 11 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 862472
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.12.0-1.mga6
+ Revision: 839787
- new version 3.12.0

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-5.mga5
+ Revision: 750781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 680031
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-3.mga4
+ Revision: 523989
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 3.2.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-2.mga3
+ Revision: 352936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 28 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 150009
- new version 3.2.0

* Mon Jun 27 2011 fwang <fwang> 3.0.0-1.mga2
+ Revision: 114279
- new version 3.0.0

* Sat Jun 25 2011 dmorgan <dmorgan> 2.10.2-1.mga2
+ Revision: 113793
- Fix buildrequires
- imported package gtksourceviewmm


* Sat Jun 25 2011 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdv2011.0
+ Revision: 687168
- new version
- xz tarball

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdv2011.0
+ Revision: 555097
- update to new version 2.10.1

* Tue Apr 06 2010 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2010.1
+ Revision: 532348
- update to new version 2.10.0

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 2.9.2-1mdv2010.1
+ Revision: 511751
- update to new version 2.9.2

* Sun Jan 17 2010 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdv2010.1
+ Revision: 492867
- update to new version 2.9.1

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2010.1
+ Revision: 490683
- new version
- bump deps
- update file list for new devel docs location

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Feb 26 2009 Götz Waschk <waschk@mandriva.org> 2.3.1-1mdv2009.1
+ Revision: 345194
- update to new version 2.3.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-2mdv2009.0
+ Revision: 266997
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 30 2008 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 199568
- new version
- rename the source package
- new version
- bump major

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 1.9.4-1mdv2008.1
+ Revision: 175733
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2008.1
+ Revision: 96637
- new version
- new major
- new devel name

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 35007
- new version

